Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001131opensim[REGION] OpenSim Corepublic2008-05-03 22:052011-07-30 00:03
Reporterchi11ken 
Assigned ToTeravus 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001131: Physical prims pushed off edge of region roll to infinity
DescriptionIf you have a region and a border with no adjacent region, and create a physical sphere and push it over that border, it continues to roll into the distance. I would expect it to stop at the border, as the avatar does.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version
Viewer
Attached Files

- Relationships
related to 0001130closed Physical prims pushed into region without physical prim support retains velocity 
has duplicate 0002411closedTeravus Physical prims wonder out of bounds to infinity 

-  Notes
(0001856)
Teravus (administrator)
2008-05-04 10:42

This is client interpolation, I think. It doesn't actually continue to go past the broder.
(0011932)
chi11ken (manager)
2009-06-03 18:18

I guess the question is, should the first region check whether (a) the neighboring region exists and (b) supports physical prims, and if not, set the object's velocity to 0 before it crosses the border?

Or is that the responsibility of the destination region (if it exists)?
(0019198)
makopoppo (manager)
2011-07-30 00:03

Reminder sent to: Snoopy

From 0005579
-----

Summary 0005579: Sim Border Crossing of Objects
Description Rez a sphere next to a sim border and make it a physical object. Then kick that object over the sim border. The object continues to move in one direction with coordinates out of the boundaries of that region. The object never seems to cross the sim border and never stops to move. After a while such objects can cause massive physics engine lag.

When an avatar kicks such a sphere while crossing the sim border together with that object at the same time, the avatar can start to drop below the ground.

When an avatar sits on a vehicle and crosses a sim border, the avatar gets unsit. Sometimes the vehicle starts to sink in the ground. The avatar is still animated as sitting on the vehicle and the vehicle controls still partly work. For example the direction of the wheels changes when the left and right arrow keys are pressed.

How can all this get fixed?
- That objects properly cross sim borders or that they get stopped when there is no neighboring region to enter.
- That avatars do not get unsit when crossing a sim borders on a vehicle.

A temporary solution to fix physics engine lag caused be out of boundaries objects could be, to delete such objects automatically. But that would not be the general solution that is required.
Additional Information

- Issue History
Date Modified Username Field Change
2008-05-03 22:05 chi11ken New Issue
2008-05-03 22:05 chi11ken SVN Revision => 0
2008-05-03 22:05 chi11ken Run Mode => Grid (Multiple Regions per Sim)
2008-05-03 22:05 chi11ken Physics Engine => ODE
2008-05-03 22:05 chi11ken Environment => Mono / Linux32
2008-05-04 10:42 Teravus Note Added: 0001856
2008-05-26 14:06 cfk Status new => assigned
2008-05-26 14:06 cfk Assigned To => Teravus
2008-05-26 14:06 Teravus Assigned To Teravus => tedd
2008-05-26 14:07 Teravus Assigned To tedd => Teravus
2008-10-18 17:23 chi11ken Relationship added has duplicate 0002411
2009-06-03 18:13 chi11ken Relationship added related to 0001130
2009-06-03 18:18 chi11ken Note Added: 0011932
2011-07-30 00:03 makopoppo Note Added: 0019198


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker